# TMAPI

[![Build Status](https://travis-ci.org/rgarifullin/tmapi.svg?branch=master)](https://travis-ci.org/rgarifullin/tmapi)
[![Code Climate](https://codeclimate.com/github/rgarifullin/tmapi/badges/gpa.svg)](https://codeclimate.com/github/rgarifullin/tmapi)

Wrapper for TaxiMaster API ([Taxi Master](http://taxi-master.com)) written in Ruby.

TaxiMaster API documentation: [(Russian)](http://help.taximaster.ru/index.php/TM_API)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'tmapi'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install tmapi

## Usage

First you should initialize a new class with API URL and unique key of customer. After this you can call API methods.

Example:
```ruby
api = TMAPI::Telephony.new('url', 'key')
api.change_order_state(order_id, new_state)
# if OK
=> { order_id: 1, new_state: 5 }
```

Options:
* ```ssl``` - SSL verification (```true``` by default)
* ```debug``` - output response to logger (```false``` by default)

```ruby
api = TMAPI::Telephony.new('url', 'key', ssl: false, debug: true)
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/rgarifullin/tmapi.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
